Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003707TestLinkCustom fieldspublic2010-08-25 07:432010-08-31 20:26
ReporterJulian 
Assigned Tofman 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 Beta 6 
Summary0003707: Custom Field edit/create not working right on Internet Explorer
DescriptionWhen changing "Available for" value the values for "Enable on" are not refreshed when using Internet Explorer.
Steps To Reproduce1. Click on "Define custom fields"
2. click on an exisiting custom field or click Create Button
3. Change value of "Available for" Combobox to "Test Suite"
3.1 Internet Explorer: "Enable on" allows to chose "Test Execution", "Test Spec Design", "Test Plan Design"
3.2 Firefox: "Enable on" allows to chose ONLY "Test Spec Design"

This is just one example. Many other Combinations are possible with IE that should not be possible.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0003708closedfman Usability improvements for Custom Field Creation/Editing 

-  Notes
(0010924)
fman (administrator)
2010-08-25 09:27

need to check if there are HTML problems
(0010978)
fman (administrator)
2010-08-28 15:14

Issue is related as usual, to non compatibility among browsers.
see http://bytes.com/topic/javascript/answers/567819-how-hide-options-select [^]
in this link is a solution, I will try to experiment.
stay tunned !
(sìmpler solutions are welcomed)
(0010979)
fman (administrator)
2010-08-28 15:20
edited on: 2010-08-28 15:23

Same problem with Chrome.
Think best solution is (as you suggested on other issue), to completely remove th Enable ON (and other choices) when user has no choice (as has been done with requirements).

(0010986)
fman (administrator)
2010-08-29 09:28

Please test and set to resolve if ok
(0011019)
fman (administrator)
2010-08-31 20:26

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-08-25 07:43 Julian New Issue
2010-08-25 08:04 Julian Steps to Reproduce Updated View Revisions
2010-08-25 09:27 fman Note Added: 0010924
2010-08-25 09:27 fman Assigned To => fman
2010-08-25 09:27 fman Status new => assigned
2010-08-28 15:14 fman Note Added: 0010978
2010-08-28 15:20 fman Note Added: 0010979
2010-08-28 15:23 fman Note Edited: 0010979 View Revisions
2010-08-28 15:24 fman Relationship added related to 0003708
2010-08-29 09:28 fman Note Added: 0010986
2010-08-29 09:28 fman Status assigned => feedback
2010-08-29 10:01 Julian Status feedback => assigned
2010-08-29 18:54 Julian Status assigned => resolved
2010-08-29 18:54 Julian Fixed in Version => 1.9 Beta 6
2010-08-29 18:54 Julian Resolution open => fixed
2010-08-31 20:26 fman Note Added: 0011019
2010-08-31 20:26 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker